API Explorer 936 endpoints

Get Account by Id (Core)

GET /obp/v7.0.0/my/banks/BANK_ID/accounts/ACCOUNT_ID/account

OBPv6.0.0-getCoreAccountByIdV600 No role required AccountAccount Information Service (AIS)PSD2

Information returned about the account specified by ACCOUNT_ID:

  • Number - The human readable account number given by the bank that identifies the account.
  • Label - A label given by the owner of the account
  • Owners - Users that own this account
  • Type - The type of account
  • Balance - Currency and Value
  • Account Routings - A list that might include IBAN or national account identifiers
  • Account Rules - A list that might include Overdraft and other bank specific rules
  • Tags - A list of Tags assigned to this account

This call returns the owner view and requires access to that view.

This v6.0.0 version returns account_id instead of id for consistency with other v6.0.0 endpoints.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

ACCOUNT_ID: 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0

BANK_ID: gh.29.uk

JSON response body fields (12)
account_id
8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
account_routings
address
amount
10.12
balance
10
bank_id
gh.29.uk
currency
EUR
label
My Account
number
product_code
1234BW
scheme
OBP
views_basic
Example success response
{
  "account_id": "8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0",
  "bank_id": "gh.29.uk",
  "label": "My Account",
  "number": "123456",
  "product_code": "CURRENT",
  "balance": {
    "currency": "EUR",
    "amount": "1000.00"
  },
  "account_routings": [
    {
      "scheme": "IBAN",
      "address": "DE89370400440532013000"
    }
  ],
  "views_basic": [
    "owner"
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getCoreAccountByIdV600 Originally /obp/v6.0.0/my/banks/BANK_ID/accounts/ACCOUNT_ID/account